Bug 103234 - KWin crashed when Alt+Tab-ing through open windows
Summary: KWin crashed when Alt+Tab-ing through open windows
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: 17.2
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
: 105611 106153 106327 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-10-12 08:08 UTC by Dennis Schridde
Modified: 2019-09-02 10:01 UTC (History)
9 users (show)

See Also:
i915 platform:
i915 features:


Attachments
glxinfo (101.34 KB, text/x-log)
2017-10-12 08:14 UTC, Dennis Schridde
Details
modinfo radeon for my version (48.71 KB, text/plain)
2017-12-12 19:54 UTC, Sol
Details
crashlog for kwin (26.96 KB, text/plain)
2017-12-12 19:55 UTC, Sol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2017-10-12 08:08:06 UTC
I was Alt+Tab-ing through the open windows, when KWin crashed.  The backtrace ends in Mesa.  I am using version 17.2.2 (s.b.).


Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1771820840 (LWP 5560))]

Thread 14 (Thread 0x7f17519da700 (LWP 12411)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x2a72ab8, cond=0x2a72ae0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x28b1910) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f172fe6c700 (LWP 12392)):
#0  0x00007f17713165c3 in ppoll () from /lib64/libc.so.6
#1  0x00007f176f244419 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f1724000c38) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7f1724000c38, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007f176f245663 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f176f1f866a in QEventLoop::exec (this=this@entry=0x7f172fe6bd50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f176f05c3bb in QThread::exec (this=this@entry=0x27e4150) at thread/qthread.cpp:515
#7  0x00007f1769eb3675 in QQmlThreadPrivate::run (this=0x27e4150) at qml/ftw/qqmlthread.cpp:147
#8  0x00007f176f0605e0 in QThreadPrivate::start (arg=0x27e4150) at thread/qthread_unix.cpp:368
#9  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f172f635700 (LWP 5779)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f176e366634 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f176e366679 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f173066d700 (LWP 5749)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x25bb758, cond=0x25bb780) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x2464d20) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f1730e6e700 (LWP 5748)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x2460710, cond=0x2460738) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x249f350) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f173166f700 (LWP 5747)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x2460710, cond=0x2460738) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x247e640) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f1731e70700 (LWP 5746)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x2460628, cond=0x2460650) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x24a47e0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f1732671700 (LWP 5745)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x2460628, cond=0x2460650) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x24a45d0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f1732e72700 (LWP 5744)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x2460628, cond=0x2460650) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x2473cb0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f1733879700 (LWP 5743)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x23bf820, cond=0x23bf848) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x24bb200) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f173407a700 (LWP 5742)):
#0  0x00007f176afe9466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007f174279b7f3 in cnd_wait (mtx=0x245d8c8, cond=0x245d8f0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x24bb1c0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007f174279b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f1750d4a700 (LWP 5712)):
#0  0x00007f17713165c3 in ppoll () from /lib64/libc.so.6
#1  0x00007f176f244419 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f1748000ac8) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7f1748000ac8, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007f176f245663 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f176f1f866a in QEventLoop::exec (this=this@entry=0x7f1750d49d50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f176f05c3bb in QThread::exec (this=this@entry=0x2416db0) at thread/qthread.cpp:515
#7  0x00007f1769eb3675 in QQmlThreadPrivate::run (this=0x2416db0) at qml/ftw/qqmlthread.cpp:147
#8  0x00007f176f0605e0 in QThreadPrivate::start (arg=0x2416db0) at thread/qthread_unix.cpp:368
#9  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f1753882700 (LWP 5586)):
#0  0x00007f17713165c3 in ppoll () from /lib64/libc.so.6
#1  0x00007f176f244419 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7f174c00aad8) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7f174c00aad8, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007f176f245663 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007f176f1f866a in QEventLoop::exec (this=this@entry=0x7f1753881d40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f176f05c3bb in QThread::exec (this=this@entry=0x7f177197cda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:515
#7  0x00007f17719086b5 in QDBusConnectionManager::run (this=0x7f177197cda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007f176f0605e0 in QThreadPrivate::start (arg=0x7f177197cda0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#9  0x00007f176afe2617 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f177132160f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f1771820840 (LWP 5560)):
[KCrash Handler]
#6  si_draw_vbo (ctx=0x290b990, info=0x2a73878) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/drivers/radeonsi/si_state_draw.c:1305
#7  0x00007f17428b8863 in tc_call_draw_vbo (pipe=<optimized out>, payload=0x2a73878) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:1814
#8  0x00007f17428b69b0 in tc_batch_execute (thread_index=0, job=0x2a73800) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:94
#9  _tc_sync (tc=tc@entry=0x2a726e0, func=<optimized out>, info=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:185
#10 0x00007f17428b8eaf in tc_texture_subdata (_pipe=0x2a726e0, resource=0x2dbe7b0, level=0, usage=0, box=0x7ffdd4ab6000, data=0x7f1691ad7010, stride=1504, layer_stride=239136) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:1631
#11 0x00007f17426a608f in st_TexSubImage (ctx=ctx@entry=0x7f1691f0d010, dims=dims@entry=2, texImage=texImage@entry=0x2db9ff0, xoffset=xoffset@entry=0, yoffset=<optimized out>, yoffset@entry=0, zoffset=zoffset@entry=0, width=376, height=<optimized out>, depth=1, format=32993, type=5121, pixels=0x7f1691ad7010, unpack=0x7f1691f28f48) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/mesa/state_tracker/st_cb_texture.c:1418
#12 0x00007f17426a7bb8 in st_TexImage (ctx=0x7f1691f0d010, dims=2, texImage=0x2db9ff0, format=32993, type=5121, pixels=0x7f1691ad7010, unpack=0x7f1691f28f48) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/mesa/state_tracker/st_cb_texture.c:1635
#13 0x00007f174262a513 in teximage (no_error=false, pixels=0x7f1691ad7010, imageSize=0, type=5121, format=32993, border=0, depth=<optimized out>, height=<optimized out>, width=<optimized out>, internalFormat=<optimized out>, level=0, target=3553, dims=2, compressed=0 '\000', ctx=0x7f1691f0d010) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/mesa/main/teximage.c:3055
#14 teximage_err (ctx=0x7f1691f0d010, compressed=compressed@entry=0 '\000', dims=dims@entry=2, target=3553, level=0, internalFormat=<optimized out>, width=376, height=159, depth=1, border=<optimized out>, format=32993, type=5121, imageSize=0, pixels=0x7f1691ad7010) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/mesa/main/teximage.c:3081
#15 0x00007f174262c600 in _mesa_TexImage2D (target=<optimized out>, level=<optimized out>, internalFormat=<optimized out>, width=<optimized out>, height=<optimized out>, border=<optimized out>, format=32993, type=5121, pixels=0x7f1691ad7010) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/mesa/main/teximage.c:3119
#16 0x00007f176a37e077 in QOpenGLFunctions::glTexImage2D (pixels=<optimized out>, type=5121, format=32993, border=0, height=<optimized out>, width=<optimized out>, internalformat=6408, level=0, target=3553, this=0x2a962c0) at /usr/include/qt5/QtGui/qopenglfunctions.h:1019
#17 QSGPlainTexture::bind (this=this@entry=0x2d972e0) at scenegraph/util/qsgtexture.cpp:837
#18 0x00007f176a3a410f in QSGPainterTexture::bind (this=0x2d972e0) at scenegraph/util/qsgdefaultpainternode.cpp:71
#19 0x00007f176a380416 in QSGOpaqueTextureMaterialShader::updateState (this=0x2ab98a0, state=..., newEffect=<optimized out>, oldEffect=0x2da1db0) at scenegraph/util/qsgtexturematerial.cpp:116
#20 0x00007f176a36ef46 in QSGBatchRenderer::Renderer::renderMergedBatch (this=0x2da7390, batch=0x2ddfab0) at scenegraph/coreapi/qsgbatchrenderer.cpp:2326
#21 0x00007f176a37041d in QSGBatchRenderer::Renderer::renderBatches (this=this@entry=0x2da7390) at scenegraph/coreapi/qsgbatchrenderer.cpp:2569
#22 0x00007f176a375958 in QSGBatchRenderer::Renderer::render (this=<optimized out>) at scenegraph/coreapi/qsgbatchrenderer.cpp:2763
#23 0x00007f176a366c7a in QSGRenderer::renderScene (this=0x2da7390, bindable=...) at scenegraph/coreapi/qsgrenderer.cpp:243
#24 0x00007f176a36714b in QSGRenderer::renderScene (this=<optimized out>, fboId=<optimized out>) at scenegraph/coreapi/qsgrenderer.cpp:196
#25 0x00007f176a3a06a6 in QSGDefaultRenderContext::renderNextFrame (this=0x294bab0, renderer=0x2da7390, fboId=<optimized out>) at scenegraph/qsgdefaultrendercontext.cpp:181
#26 0x00007f176a3fb59a in QQuickWindowPrivate::renderSceneGraph (this=this@entry=0x28750f0, size=...) at items/qquickwindow.cpp:470
#27 0x00007f176a392ec8 in QSGGuiThreadRenderLoop::renderWindow (this=0x284caf0, window=<optimized out>) at scenegraph/qsgrenderloop.cpp:429
#28 0x00007f176a405796 in QQuickWindow::event (this=this@entry=0x2875020, e=e@entry=0x7ffdd4ab6f70) at items/qquickwindow.cpp:1587
#29 0x00007f16925eadab in PlasmaQuick::Dialog::event (this=0x2875020, event=0x7ffdd4ab6f70) at /var/tmp/portage/kde-frameworks/plasma-5.38.0/work/plasma-framework-5.38.0/src/plasmaquick/dialog.cpp:1171
#30 0x00007f176fa44f4c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2875020, e=0x7ffdd4ab6f70) at kernel/qapplication.cpp:3722
#31 0x00007f176fa4c620 in QApplication::notify (this=0x7ffdd4ab7650, receiver=0x2875020, e=0x7ffdd4ab6f70) at kernel/qapplication.cpp:3481
#32 0x00007f176f1f9891 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x2875020, event=event@entry=0x7ffdd4ab6f70) at kernel/qcoreapplication.cpp:1018
#33 0x00007f176f551986 in QCoreApplication::sendEvent (event=0x7ffdd4ab6f70, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#34 QWindowPrivate::deliverUpdateRequest (this=this@entry=0x28750f0) at kernel/qwindow.cpp:2302
#35 0x00007f176f551e99 in QWindow::event (this=this@entry=0x2875020, ev=ev@entry=0x7ffdd4ab73e0) at kernel/qwindow.cpp:2273
#36 0x00007f176a405735 in QQuickWindow::event (this=this@entry=0x2875020, e=e@entry=0x7ffdd4ab73e0) at items/qquickwindow.cpp:1606
#37 0x00007f16925eadab in PlasmaQuick::Dialog::event (this=0x2875020, event=0x7ffdd4ab73e0) at /var/tmp/portage/kde-frameworks/plasma-5.38.0/work/plasma-framework-5.38.0/src/plasmaquick/dialog.cpp:1171
#38 0x00007f176fa44f4c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x2875020, e=0x7ffdd4ab73e0) at kernel/qapplication.cpp:3722
#39 0x00007f176fa4c620 in QApplication::notify (this=0x7ffdd4ab7650, receiver=0x2875020, e=0x7ffdd4ab73e0) at kernel/qapplication.cpp:3481
#40 0x00007f176f1f9891 in QCoreApplication::notifyInternal2 (receiver=0x2875020, event=event@entry=0x7ffdd4ab73e0) at kernel/qcoreapplication.cpp:1018
#41 0x00007f176f24744b in QCoreApplication::sendEvent (event=0x7ffdd4ab73e0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#42 QTimerInfoList::activateTimers (this=this@entry=0x21c8660) at kernel/qtimerinfo_unix.cpp:643
#43 0x00007f176f244844 in QEventDispatcherUNIXPrivate::activateTimers (this=this@entry=0x21c85c0) at kernel/qeventdispatcher_unix.cpp:249
#44 0x00007f176f245808 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:514
#45 0x00007f175a1c3135 in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at qunixeventdispatcher.cpp:68
#46 0x00007f176f1f866a in QEventLoop::exec (this=this@entry=0x7ffdd4ab7570, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#47 0x00007f176f2008fc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#48 0x00007f176f53d9ec in QGuiApplication::exec () at kernel/qguiapplication.cpp:1679
#49 0x00007f176fa44ea5 in QApplication::exec () at kernel/qapplication.cpp:2910
#50 0x00007f17715ec00d in kdemain (argc=<optimized out>, argv=0x7ffdd4ab77e8) at /var/tmp/portage/kde-plasma/kwin-5.10.5/work/kwin-5.10.5/main_x11.cpp:466
#51 0x00007f177124b5b1 in __libc_start_main () from /lib64/libc.so.6
#52 0x00000000004006ea in _start ()


Portage 2.3.11 (python 2.7.13-final-42, default/linux/amd64/13.0/desktop/plasma/systemd, gcc-6.4.0, glibc-2.25-r7, 4.13.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.13.5-gentoo-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.4.1
KiB Mem:    14352760 total,   5415924 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 11 Oct 2017 18:15:01 +0000
Head commit of repository gentoo: 96eaf7e7d956e14974d20430f99d3c44181874ab
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p1.0) 2.29.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.26.1::gentoo
dev-lang/python:          2.7.14-r100::sage-on-gentoo, 3.4.6::gentoo, 3.5.4::gentoo, 3.6.3::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1::gentoo
sys-devel/gcc:            5.4.0-r3::gentoo, 6.4.0::gentoo
sys-devel/gcc-config:     1.9.0::gentoo
sys-devel/libtool:        2.4.6-r4::gentoo
sys-devel/make:           4.2.1-r1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r7::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

flatpak-overlay
    location: /var/lib/layman/flatpak-overlay
    sync-type: laymansync
    sync-uri: git://github.com/fosero/flatpak-overlay.git
    masters: gentoo
    priority: 50

qt
    location: /var/lib/layman/qt
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/proj/qt.git
    masters: gentoo
    priority: 50

sage-on-gentoo
    location: /var/lib/layman/sage-on-gentoo
    sync-type: laymansync
    sync-uri: git://github.com/cschwan/sage-on-gentoo.git
    masters: gentoo science
    priority: 50

science
    location: /var/lib/layman/science
    sync-type: laymansync
    sync-uri: git://anongit.gentoo.org/proj/sci.git
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    sync-type: laymansync
    sync-uri: https://github.com/anyc/steam-overlay.git
    masters: gentoo
    priority: 50

local
    location: /var/cache/portage/local
    masters: gentoo
    priority: 100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=bdver3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=bdver3"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --nospinner --verbose-conflicts"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j3"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aacplus aacs acl acpi activities alsa amd64 appindicator appstream archive audit avahi bash-completion bdplus berkdb bluetooth bluray branding bs2b bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli colord colorio conntrack cracklib crypt cups cxx d3d9 dbus declarative dirac djvu dri dts dvb dvd dvdr egl emboss encode epub exif fam fax fbcon ffmpeg fftw firefox fish-completion fits flac fontconfig fortran fribidi gdbm geoclue geolocation gif git glamor gles gmp google googledrive gpm gps graphicsmagick gstreamer gtk gtk3 harfbuzz hdf5 ibus iconv icu idn imlib inotify introspection ipv6 jemalloc jpeg jpeg2k kde kipi kwallet ladspa latex lcms ldap libidn2 libinput libnotify libproxy libsecret libsoxr lv2 lz4 lzma lzo mad mercurial metis mjpeg mng mobi modemmanager modplug modules mp3 mp4 mpeg mplayer mtp multilib mysql ncurses netlink networkmanager nls nptl office ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf phonon plasma png policykit postscript ppds prison pulseaudio python qml qt3support qt4 qt5 raw readline rtmp samba scanner schroedinger sctp sdl seccomp semantic-desktop session sparse speech speex spell ssl startup-notification svg systemd tbb tcpd teamd telepathy tga theora threads tiff timezone truetype tslib udev udisks unicode unwind upnp upnp-av upower usb v4l v4l2 vaapi vdpau vorbis vpx vulkan wavpack wayland webp widgets x264 x265 xattr xcb xcomposite xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_EXPERIMENTAL_FEATURES="stage" CALLIGRA_FEATURES="words sheets karbon plan" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB ar fa tr" LIRC_DEVICES="devinput" LUA_TARGET="lua5-2" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5 pypy pypy3" RUBY_TARGETS="ruby22" STEAMGAMES="dirt_rally dont_starve portal source_engine te120 trine2 witcher2" USERLAND="GNU" VIDEO_CARDS="amdgpu" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-libs/mesa-17.2.2::gentoo was built with the following:
USE="d3d9 dri3 egl gallium gbm gles2 llvm nptl opencl openmax osmesa unwind vaapi vdpau vulkan wayland xa xvmc -bindist -classic -debug -gles1 -pax_kernel -pic (-selinux) -valgrind" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="radeonsi (-freedreno) -i915 -i965 -imx -intel -nouveau -r100 -r200 -r300 -r600 -radeon (-vc4) (-vivante) -vmware"
CFLAGS="-pipe -O2 -march=bdver3 -g"
CXXFLAGS="-pipe -O2 -march=bdver3 -g"


See-Also: https://bugs.kde.org/show_bug.cgi?id=385626
Comment 1 Dennis Schridde 2017-10-12 08:13:15 UTC
I am using Linux 4.13.5 (with Gentoo patches, aka =sys-kernel/gentoo-sources-4.13.5).


The device is:
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Kaveri [Radeon R7 Graphics] (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Kaveri [Radeon R7 Graphics]
        Flags: bus master, fast devsel, latency 0, IRQ 49
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f0000000 (64-bit, prefetchable) [size=8M]
        I/O ports at f000 [size=256]
        Memory at feb00000 (32-bit, non-prefetchable) [size=256K]
        Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [270] #19
        Capabilities: [2b0] Address Translation Service (ATS)
        Capabilities: [2c0] Page Request Interface (PRI)
        Capabilities: [2d0] Process Address Space ID (PASID)
        Kernel driver in use: amdgpu
        Kernel modules: amdgpu


These versions of LLVM are installed, but the latter is active and the one that is being used by Mesa:

sys-devel/llvm-4.0.1::gentoo was built with the following:
USE="doc gold libffi ncurses -debug -libedit -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -XCore"

sys-devel/llvm-5.0.0::gentoo was built with the following:
USE="doc gold libffi ncurses -debug -libedit -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore"
Comment 2 Dennis Schridde 2017-10-12 08:14:14 UTC
Created attachment 134806 [details]
glxinfo
Comment 3 Dennis Schridde 2017-10-17 19:11:50 UTC
It just happened again:

Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc355251d00 (LWP 3241))]

Thread 13 (Thread 0x7fc31350c700 (LWP 30580)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0x144db48, cond=0x144db70) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0x13e9bf0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fc312d0b700 (LWP 3408)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc351dbe634 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fc351dbe679 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fc313d0d700 (LWP 3380)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xf50528, cond=0xf50550) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xe39db0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fc31450e700 (LWP 3377)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xdf6b80, cond=0xdf6ba8) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xe45f40) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fc314d0f700 (LWP 3376)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xdf6b80, cond=0xdf6ba8) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xe45f00) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fc315510700 (LWP 3375)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xdf6a98, cond=0xdf6ac0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xe52840) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fc315d11700 (LWP 3374)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xdf6a98, cond=0xdf6ac0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xe0a120) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fc316512700 (LWP 3373)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xdf6a98, cond=0xdf6ac0) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xe45d60) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fc316f19700 (LWP 3372)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xe45de0, cond=0xe45e08) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xd4c050) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fc31771a700 (LWP 3371)):
#0  0x00007fc34e829466 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x00007fc32df9b7f3 in cnd_wait (mtx=0xdf3d38, cond=0xdf3d60) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:159
#2  util_queue_thread_func (input=input@entry=0xd4c390) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/util/u_queue.c:158
#3  0x00007fc32df9b717 in impl_thrd_routine (p=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/include/c11/threads_posix.h:87
#4  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#5  0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fc32ffff700 (LWP 3341)):
#0  0x00007fc354d4e5c3 in ppoll () from /lib64/libc.so.6
#1  0x00007fc352c9c419 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/bits/poll2.h:77
#2  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7fc324000ac8) at kernel/qcore_unix.cpp:81
#3  qt_safe_poll (fds=0x7fc324000ac8, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#4  0x00007fc352c9d663 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#5  0x00007fc352c5066a in QEventLoop::exec (this=this@entry=0x7fc32fffed50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007fc352ab43bb in QThread::exec (this=this@entry=0xde0aa0) at thread/qthread.cpp:515
#7  0x00007fc34d6f3675 in QQmlThreadPrivate::run (this=0xde0aa0) at qml/ftw/qqmlthread.cpp:147
#8  0x00007fc352ab85e0 in QThreadPrivate::start (arg=0xde0aa0) at thread/qthread_unix.cpp:368
#9  0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fc337102700 (LWP 3277)):
#0  0x00007fc354d67b92 in __libc_disable_asynccancel () from /lib64/libc.so.6
#1  0x00007fc354d4e5d6 in ppoll () from /lib64/libc.so.6
#2  0x00007fc352c9c419 in ppoll (__ss=<optimized out>, __timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>) at /usr/include/bits/poll2.h:77
#3  qt_ppoll (timeout_ts=0x0, nfds=1, fds=0x7fc33000ab98) at kernel/qcore_unix.cpp:81
#4  qt_safe_poll (fds=0x7fc33000ab98, nfds=nfds@entry=1, timeout_ts=timeout_ts@entry=0x0) at kernel/qcore_unix.cpp:102
#5  0x00007fc352c9d663 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:500
#6  0x00007fc352c5066a in QEventLoop::exec (this=this@entry=0x7fc337101d40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fc352ab43bb in QThread::exec (this=this@entry=0x7fc3553b4da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:515
#8  0x00007fc3553406b5 in QDBusConnectionManager::run (this=0x7fc3553b4da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#9  0x00007fc352ab85e0 in QThreadPrivate::start (arg=0x7fc3553b4da0 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#10 0x00007fc34e822617 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fc354d5960f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fc355251d00 (LWP 3241)):
[KCrash Handler]
#6  si_draw_vbo (ctx=0x1413780, info=0x14503f8) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/drivers/radeonsi/si_state_draw.c:1305
#7  0x00007fc32e0b8863 in tc_call_draw_vbo (pipe=<optimized out>, payload=0x14503f8) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:1814
#8  0x00007fc32e0b69b0 in tc_batch_execute (thread_index=0, job=0x1450170) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:94
#9  _tc_sync (tc=0x144d770, func=<optimized out>, info=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:185
#10 0x00007fc32e0b6e58 in tc_flush (_pipe=<optimized out>, fence=0x7ffe88493950, flags=1) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/auxiliary/util/u_threaded_context.c:1797
#11 0x00007fc32dee0bfe in st_context_flush (stctxi=0x146cda0, flags=3, fence=0x7ffe88493950) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/mesa/state_tracker/st_manager.c:635
#12 0x00007fc32e01f427 in dri_flush (cPriv=<optimized out>, dPriv=<optimized out>, flags=<optimized out>, reason=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/state_trackers/dri/dri_drawable.c:550
#13 0x00007fc34bc989ef in loader_dri3_swap_buffers_msc (draw=0x13ea708, target_msc=0, divisor=0, remainder=0, flush_flags=3, force_copy=<optimized out>) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/loader/loader_dri3_helper.c:643
#14 0x00007fc3554345fa in QGLXContext::swapBuffers (this=0x138d910, surface=0x14775d0) at qglxintegration.cpp:545
#15 0x00007fc352fd120d in QOpenGLContext::swapBuffers (this=0x13c1bb0, surface=<optimized out>) at kernel/qopenglcontext.cpp:1107
#16 0x00007fc34dbd312e in QSGGuiThreadRenderLoop::renderWindow (this=0x12092f0, window=<optimized out>) at scenegraph/qsgrenderloop.cpp:445
#17 0x00007fc34dc45796 in QQuickWindow::event (this=this@entry=0x11d0440, e=e@entry=0x7ffe88493f20) at items/qquickwindow.cpp:1587
#18 0x00007fc276db2d0b in PlasmaQuick::Dialog::event (this=0x11d0440, event=0x7ffe88493f20) at /var/tmp/portage/kde-frameworks/plasma-5.39.0/work/plasma-framework-5.39.0/src/plasmaquick/dialog.cpp:1171
#19 0x00007fc35349cf4c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x11d0440, e=0x7ffe88493f20) at kernel/qapplication.cpp:3722
#20 0x00007fc3534a4620 in QApplication::notify (this=0x7ffe88494610, receiver=0x11d0440, e=0x7ffe88493f20) at kernel/qapplication.cpp:3481
#21 0x00007fc352c51891 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x11d0440, event=event@entry=0x7ffe88493f20) at kernel/qcoreapplication.cpp:1018
#22 0x00007fc352fa9986 in QCoreApplication::sendEvent (event=0x7ffe88493f20, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#23 QWindowPrivate::deliverUpdateRequest (this=this@entry=0x11d08b0) at kernel/qwindow.cpp:2302
#24 0x00007fc352fa9e99 in QWindow::event (this=this@entry=0x11d0440, ev=ev@entry=0x7ffe88494390) at kernel/qwindow.cpp:2273
#25 0x00007fc34dc45735 in QQuickWindow::event (this=this@entry=0x11d0440, e=e@entry=0x7ffe88494390) at items/qquickwindow.cpp:1606
#26 0x00007fc276db2d0b in PlasmaQuick::Dialog::event (this=0x11d0440, event=0x7ffe88494390) at /var/tmp/portage/kde-frameworks/plasma-5.39.0/work/plasma-framework-5.39.0/src/plasmaquick/dialog.cpp:1171
#27 0x00007fc35349cf4c in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x11d0440, e=0x7ffe88494390) at kernel/qapplication.cpp:3722
#28 0x00007fc3534a4620 in QApplication::notify (this=0x7ffe88494610, receiver=0x11d0440, e=0x7ffe88494390) at kernel/qapplication.cpp:3481
#29 0x00007fc352c51891 in QCoreApplication::notifyInternal2 (receiver=0x11d0440, event=event@entry=0x7ffe88494390) at kernel/qcoreapplication.cpp:1018
#30 0x00007fc352c9f44b in QCoreApplication::sendEvent (event=0x7ffe88494390, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:233
#31 QTimerInfoList::activateTimers (this=this@entry=0xb4e700) at kernel/qtimerinfo_unix.cpp:643
#32 0x00007fc352c9c844 in QEventDispatcherUNIXPrivate::activateTimers (this=this@entry=0xb4e660) at kernel/qeventdispatcher_unix.cpp:249
#33 0x00007fc352c9d808 in QEventDispatcherUNIX::processEvents (this=<optimized out>, flags=...) at kernel/qeventdispatcher_unix.cpp:514
#34 0x00007fc33da0b135 in QUnixEventDispatcherQPA::processEvents (this=<optimized out>, flags=...) at qunixeventdispatcher.cpp:68
#35 0x00007fc352c5066a in QEventLoop::exec (this=this@entry=0x7ffe88494520, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#36 0x00007fc352c588fc in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1291
#37 0x00007fc352f959ec in QGuiApplication::exec () at kernel/qguiapplication.cpp:1679
#38 0x00007fc35349cea5 in QApplication::exec () at kernel/qapplication.cpp:2910
#39 0x00007fc35502408a in kdemain (argc=<optimized out>, argv=0x7ffe884947a8) at /var/tmp/portage/kde-plasma/kwin-5.11.0/work/kwin-5.11.0/main_x11.cpp:466
#40 0x00007fc354c835b1 in __libc_start_main () from /lib64/libc.so.6
#41 0x00000000004006ea in _start ()
Comment 4 Dennis Schridde 2017-10-17 19:13:57 UTC
I now also have this card plugged into the system:

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Baffin [Radeon RX 560] (rev cf) (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Baffin [Radeon RX 560]
        Flags: bus master, fast devsel, latency 0, IRQ 51
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at f0000000 (64-bit, prefetchable) [size=2M]
        I/O ports at e000 [size=256]
        Memory at fea00000 (32-bit, non-prefetchable) [size=256K]
        Expansion ROM at fea40000 [disabled] [size=128K]
        Capabilities: [48] Vendor Specific Information: Len=08 <?>
        Capabilities: [50] Power Management version 3
        Capabilities: [58] Express Legacy Endpoint, MSI 00
        Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
        Capabilities: [150] Advanced Error Reporting
        Capabilities: [200] #15
        Capabilities: [270] #19
        Capabilities: [2b0] Address Translation Service (ATS)
        Capabilities: [2c0] Page Request Interface (PRI)
        Capabilities: [2d0] Process Address Space ID (PASID)
        Capabilities: [320] Latency Tolerance Reporting
        Capabilities: [328] Alternative Routing-ID Interpretation (ARI)
        Capabilities: [370] L1 PM Substates
        Kernel driver in use: amdgpu
        Kernel modules: amdgpu

The monitor is still connected to the other card (comment #1), though.
Comment 5 Nicolai Hähnle 2017-10-17 21:11:04 UTC
Thank you for the report!

Can you try with Mesa from git master?

The issue is that in Mesa 17.2.2 (which you have according to glxinfo), si_state_draw.c:1305 corresponds to

   1304                         index_offset -= start_offset;
   1305                 } else if (sctx->b.chip_class <= CIK &&
   1306                            r600_resource(indexbuf)->TC_L2_dirty) {

and it's basically impossible to get a crash there, so I suspect the Gentoo build actually applies some other patches.

Something random you could try is starting KWin with GALLIUM_THREAD=0.
Comment 6 Dennis Schridde 2017-10-18 07:20:49 UTC
This is the ebuild: https://gitweb.gentoo.org/repo/gentoo.git/tree/media-libs/mesa/mesa-17.2.2.ebuild

Patches would be listed in a PATCHES variable or applied in src_prepare().  The ebuild has only eapply_user there, which would apply patches in /etc/portage/patches/media-libs/mesa (or a version specific directory), which I don't have.  Hence I believe there are no patches applied on my system.

I will extract the sources again and will try to attach GDB, while DrKonqi (KDE's bug-reporting tool) has the process stopped, the next time I reproduce the crash in the coming days.

I will also install using the 9999 / git ebuild and see whether I can reproduce there.
Comment 7 Dennis Schridde 2017-10-18 19:20:43 UTC
Some more information: It does not immediately happen after login. I also tried to trigger it with maybe more uncommon things like running Steam (and thus Natural Selection 2) with DRI_PRIME=1, but that did not trigger the crash either. I had the crash several times in the past, so I first need to find a way to reproduce it more reliably.
Comment 8 Dennis Schridde 2017-10-19 07:20:59 UTC
(In reply to Dennis Schridde from comment #7)
> Some more information: It does not immediately happen after login. I also
> tried to trigger it with maybe more uncommon things like running Steam (and
> thus Natural Selection 2) with DRI_PRIME=1, but that did not trigger the
> crash either. I had the crash several times in the past, so I first need to
> find a way to reproduce it more reliably.

That was, because KWin automatically falls back to software rendering, when the OpenGL backend crashes to often.  OpenGL is now enabled again, and I can again perfectly reproduce the crash on every Alt+Tab.

This is what I got from GDB, after extracting the Mesa sources (ebuild ... preprare) and attaching to the process:

#6  si_draw_vbo (ctx=0x17809c0, info=0x17e2d38) at /var/tmp/portage/media-libs/mesa-17.2.2/work/mesa-17.2.2/src/gallium/drivers/radeonsi/si_state_draw.c:1305
1305                    } else if (sctx->b.chip_class <= CIK &&
(gdb) print sctx
$1 = (struct si_context *) 0x17809c0
(gdb) print *sctx
$2 = {b = {b = {screen = 0x11ef4a0, priv = 0x0, draw = 0x0, stream_uploader = 0x143a290, const_uploader = 0x177eb30, destroy = 0x7fb69cd164c8 <si_destroy_context>, draw_vbo = 0x7fb69cd39a20 <si_draw_vbo>, render_condition = 0x7fb69cdb9c70 <r600_render_condition>, create_query = 0x7fb69cdbab88 <r600_create_query>,
      create_batch_query = 0x7fb69cdb6648 <r600_create_batch_query>, destroy_query = 0x7fb69cdb98f0 <r600_destroy_query>, begin_query = 0x7fb69cdb9900 <r600_begin_query>, end_query = 0x7fb69cdb9910 <r600_end_query>, get_query_result = 0x7fb69cdb9c50 <r600_get_query_result>, get_query_result_resource = 0x7fb69cdb9c60 <r600_get_query_result_resource>,
      set_active_query_state = 0x7fb69cd30a60 <si_set_active_query_state>, create_blend_state = 0x7fb69cd35df0 <si_create_blend_state>, bind_blend_state = 0x7fb69cd306e8 <si_bind_blend_state>, delete_blend_state = 0x7fb69cd32e28 <si_delete_blend_state>, create_sampler_state = 0x7fb69cd325f0 <si_create_sampler_state>,
      bind_sampler_states = 0x7fb69cd0e190 <si_bind_sampler_states>, delete_sampler_state = 0x7fb69cd32350 <si_delete_sampler_state>, create_rasterizer_state = 0x7fb69cd34e60 <si_create_rs_state>, bind_rasterizer_state = 0x7fb69cd32e50 <si_bind_rs_state>, delete_rasterizer_state = 0x7fb69cd32dc0 <si_delete_rs_state>,
      create_depth_stencil_alpha_state = 0x7fb69cd33380 <si_create_dsa_state>, bind_depth_stencil_alpha_state = 0x7fb69cd32468 <si_bind_dsa_state>, delete_depth_stencil_alpha_state = 0x7fb69cd32d90 <si_delete_dsa_state>, create_fs_state = 0x7fb69cd3fad0 <si_create_shader_selector>, bind_fs_state = 0x7fb69cd3be68 <si_bind_ps_shader>,
      delete_fs_state = 0x7fb69cd3e520 <si_delete_shader_selector>, create_vs_state = 0x7fb69cd3fad0 <si_create_shader_selector>, bind_vs_state = 0x7fb69cd3d920 <si_bind_vs_shader>, delete_vs_state = 0x7fb69cd3e520 <si_delete_shader_selector>, create_gs_state = 0x7fb69cd3fad0 <si_create_shader_selector>, bind_gs_state = 0x7fb69cd3dcf0 <si_bind_gs_shader>,
      delete_gs_state = 0x7fb69cd3e520 <si_delete_shader_selector>, create_tcs_state = 0x7fb69cd3fad0 <si_create_shader_selector>, bind_tcs_state = 0x7fb69cd3bf18 <si_bind_tcs_shader>, delete_tcs_state = 0x7fb69cd3e520 <si_delete_shader_selector>, create_tes_state = 0x7fb69cd3fad0 <si_create_shader_selector>,
      bind_tes_state = 0x7fb69cd3dae0 <si_bind_tes_shader>, delete_tes_state = 0x7fb69cd3e520 <si_delete_shader_selector>, create_vertex_elements_state = 0x7fb69cd35e70 <si_create_vertex_elements>, bind_vertex_elements_state = 0x7fb69cd33860 <si_bind_vertex_elements>, delete_vertex_elements_state = 0x7fb69cd32320 <si_delete_vertex_element>,
      set_blend_color = 0x7fb69cd307d0 <si_set_blend_color>, set_stencil_ref = 0x7fb69cd33940 <si_set_stencil_ref>, set_sample_mask = 0x7fb69cd31ed0 <si_set_sample_mask>, set_min_samples = 0x7fb69cd337d0 <si_set_min_samples>, set_clip_state = 0x7fb69cd36998 <si_set_clip_state>, set_constant_buffer = 0x7fb69cd131e0 <si_pipe_set_constant_buffer>,
      set_framebuffer_state = 0x7fb69cd33a48 <si_set_framebuffer_state>, set_polygon_stipple = 0x7fb69cd13210 <si_set_polygon_stipple>, set_scissor_states = 0x7fb69cdc3c70 <r600_set_scissor_states>, set_window_rectangles = 0x0, set_viewport_states = 0x7fb69cdc4278 <r600_set_viewport_states>, set_sampler_views = 0x7fb69cd120e8 <si_set_sampler_views>,
      set_tess_state = 0x7fb69cd368d0 <si_set_tess_state>, set_debug_callback = 0x7fb69cdb7690 <r600_set_debug_callback>, set_shader_buffers = 0x7fb69cd0ee90 <si_set_shader_buffers>, set_shader_images = 0x7fb69cd11600 <si_set_shader_images>, set_vertex_buffers = 0x7fb69cd36758 <si_set_vertex_buffers>,
      create_stream_output_target = 0x7fb69cdbc3b0 <r600_create_so_target>, stream_output_target_destroy = 0x7fb69cdbc4f0 <r600_so_target_destroy>, set_stream_output_targets = 0x7fb69cd0f348 <si_set_streamout_targets>, resource_copy_region = 0x7fb69cd07c30 <si_resource_copy_region>, blit = 0x7fb69cd08db8 <si_blit>, clear = 0x7fb69cd08a38 <si_clear>,
      clear_render_target = 0x7fb69cd087c0 <si_clear_render_target>, clear_depth_stencil = 0x7fb69cd08740 <si_clear_depth_stencil>, clear_texture = 0x7fb69cdbe418 <r600_clear_texture>, clear_buffer = 0x7fb69cd08830 <si_pipe_clear_buffer>, flush = 0x7fb69cdb72f0 <r600_flush_from_st>, create_fence_fd = 0x0, fence_server_sync = 0x0,
      create_sampler_view = 0x7fb69cd37c60 <si_create_sampler_view>, sampler_view_destroy = 0x7fb69cd36700 <si_sampler_view_destroy>, create_surface = 0x7fb69cdc2020 <r600_create_surface>, surface_destroy = 0x7fb69cdbebb0 <r600_surface_destroy>, transfer_map = 0x7fb69cc7dc50 <u_transfer_map_vtbl>,
      transfer_flush_region = 0x7fb69cc7dc60 <u_transfer_flush_region_vtbl>, transfer_unmap = 0x7fb69cc7dc70 <u_transfer_unmap_vtbl>, buffer_subdata = 0x7fb69cdb5358 <r600_buffer_subdata>, texture_subdata = 0x7fb69cc7db60 <u_default_texture_subdata>, texture_barrier = 0x7fb69cd34e18 <si_texture_barrier>, memory_barrier = 0x7fb69cd31f48 <si_memory_barrier>,
      resource_commit = 0x7fb69cdb6eb0 <r600_resource_commit>, create_video_codec = 0x7fb69cd41b68 <si_uvd_create_decoder>, create_video_buffer = 0x7fb69cd41830 <si_video_buffer_create>, create_compute_state = 0x7fb69cd09858 <si_create_compute_state>, bind_compute_state = 0x7fb69cd094a8 <si_bind_compute_state>,
      delete_compute_state = 0x7fb69cd09510 <si_delete_compute_state>, set_compute_resources = 0x7fb69cd094a0 <si_set_compute_resources>, set_global_binding = 0x7fb69cd09ae0 <si_set_global_binding>, launch_grid = 0x7fb69cd09c28 <si_launch_grid>, get_sample_position = 0x7fb69cdb3a70 <cayman_get_sample_position>, get_timestamp = 0x0,
      flush_resource = 0x7fb69cd08960 <si_flush_resource>, invalidate_resource = 0x7fb69cdb5348 <r600_invalidate_resource>, get_device_reset_status = 0x7fb69cd15d70 <si_amdgpu_get_reset_status>, set_device_reset_callback = 0x7fb69cdb76e0 <r600_set_device_reset_callback>, dump_debug_state = 0x7fb69cd0d200 <si_dump_debug_state>,
      emit_string_marker = 0x7fb69cd164b0 <si_emit_string_marker>, generate_mipmap = 0x7fb69cd08620 <si_generate_mipmap>, create_texture_handle = 0x7fb69cd12910 <si_create_texture_handle>, delete_texture_handle = 0x7fb69cd0ed60 <si_delete_texture_handle>, make_texture_handle_resident = 0x7fb69cd12420 <si_make_texture_handle_resident>,
      create_image_handle = 0x7fb69cd11bb0 <si_create_image_handle>, delete_image_handle = 0x7fb69cd0f280 <si_delete_image_handle>, make_image_handle_resident = 0x7fb69cd117c8 <si_make_image_handle_resident>}, screen = 0x11ef4a0, ws = 0x11f12e0, ctx = 0x177eb80, family = CHIP_KAVERI, chip_class = CIK, gfx = {cs = 0x17422b0,
      flush = 0x7fb69cd15a68 <si_context_gfx_flush>}, dma = {cs = 0x1787ba0, flush = 0x7fb69cdb8330 <r600_flush_dma_ring>}, last_gfx_fence = 0xfccf30, last_sdma_fence = 0x180a800, num_gfx_cs_flushes = 20, initial_gfx_cs_size = 4, gpu_reset_counter = 0, last_dirty_tex_counter = 2, last_compressed_colortex_counter = 52, last_num_draw_calls = 0, tc = 0x17db3d0,
    allocator_zeroed_memory = 0x170b740, pool_transfers = {parent = 0x11ef750, pages = 0x175a6c0, free = 0x175bbc0, migrated = 0x0}, pool_transfers_unsync = {parent = 0x11ef750, pages = 0x183b190, free = 0x183bc40, migrated = 0x183bcf0}, vram = 240, gtt = 0, streamout = {begin_atom = {emit = 0x7fb69cdbc5a0 <r600_emit_streamout_begin>, num_dw = 0, id = 2},
      begin_emitted = false, num_dw_for_end = 0, enabled_mask = 0, num_targets = 0, targets = {0x0, 0x0, 0x0, 0x0}, append_bitmask = 0, suspended = false, stride_in_dw = 0x18877ec, enabled_stream_buffers_mask = 0, hw_enabled_mask = 0, enable_atom = {emit = 0x7fb69cdbc180 <r600_emit_streamout_enable>, num_dw = 6, id = 3}, streamout_enabled = false,
      prims_gen_query_enabled = false, num_prims_gen_queries = 0}, scissors = {atom = {emit = 0x7fb69cdc4638 <r600_emit_scissors>, num_dw = 40, id = 14}, dirty_mask = 65534, states = {{minx = 0, miny = 0, maxx = 396, maxy = 1080}, {minx = 0, miny = 0, maxx = 0, maxy = 0} <repeats 15 times>}}, viewports = {atom = {
        emit = 0x7fb69cdc3eb0 <r600_emit_viewport_states>, num_dw = 98, id = 15}, dirty_mask = 65534, depth_range_dirty_mask = 65534, states = {{scale = {198, -540, 0.5}, translate = {198, 540, 0.5}}, {scale = {0, 0, 0}, translate = {0, 0, 0}} <repeats 15 times>}, as_scissor = {{minx = 0, miny = 0, maxx = 396, maxy = 1080}, {minx = 0, miny = 0, maxx = 0,
          maxy = 0} <repeats 15 times>}}, scissor_enabled = false, clip_halfz = false, vs_writes_viewport_index = false, vs_disables_clipping_viewport = false, flags = 0, num_occlusion_queries = 0, num_perfect_occlusion_queries = 0, active_queries = {prev = 0x17811b0, next = 0x17811b0}, num_cs_dw_queries_suspend = 0, num_draw_calls = 257,
    num_prim_restart_calls = 0, num_spill_draw_calls = 0, num_compute_calls = 0, num_spill_compute_calls = 0, num_dma_calls = 139, num_cp_dma_calls = 1, num_vs_flushes = 2, num_ps_flushes = 2, num_cs_flushes = 0, num_cb_cache_flushes = 89, num_db_cache_flushes = 0, num_L2_invalidates = 89, num_L2_writebacks = 0, num_resident_handles = 0,
    num_alloc_tex_transfer_bytes = 2479104, last_tex_ps_draw_ratio = 0, render_cond_atom = {emit = 0x7fb69cdbad08 <r600_emit_query_predication>, num_dw = 0, id = 1}, render_cond = 0x0, render_cond_mode = 0, render_cond_invert = false, render_cond_force_off = false, sample_locations_1x = {{0.5, 0.5}}, sample_locations_2x = {{0.75, 0.75}, {0.25, 0.25}},
    sample_locations_4x = {{0.375, 0.125}, {0.875, 0.375}, {0.125, 0.625}, {0.625, 0.875}}, sample_locations_8x = {{0.5625, 0.3125}, {0.4375, 0.6875}, {0.8125, 0.5625}, {0.3125, 0.1875}, {0.1875, 0.8125}, {0.0625, 0.4375}, {0.6875, 0.9375}, {0.9375, 0.0625}}, sample_locations_16x = {{0.5625, 0.5625}, {0.4375, 0.3125}, {0.3125, 0.625}, {0.75, 0.4375}, {0.1875,
        0.375}, {0.625, 0.8125}, {0.8125, 0.6875}, {0.6875, 0.1875}, {0.375, 0.875}, {0.5, 0.0625}, {0.25, 0.125}, {0.125, 0.75}, {0, 0.5}, {0.9375, 0.25}, {0.875, 0.9375}, {0.0625, 0}}, dcc_stats = {{tex = 0x0, ps_stats = {0x0, 0x0, 0x0}, last_use_timestamp = 0, query_active = false}, {tex = 0x0, ps_stats = {0x0, 0x0, 0x0}, last_use_timestamp = 0,
        query_active = false}, {tex = 0x0, ps_stats = {0x0, 0x0, 0x0}, last_use_timestamp = 0, query_active = false}, {tex = 0x0, ps_stats = {0x0, 0x0, 0x0}, last_use_timestamp = 0, query_active = false}, {tex = 0x0, ps_stats = {0x0, 0x0, 0x0}, last_use_timestamp = 0, query_active = false}}, debug = {async = false, debug_message = 0x0, data = 0x0},
    device_reset_callback = {reset = 0x0, data = 0x0}, query_result_shader = 0x0, dma_copy = 0x7fb69cd04a28 <cik_sdma_copy>, dma_clear_buffer = 0x7fb69cd04860 <cik_sdma_clear_buffer>, clear_buffer = 0x7fb69cd0b380 <si_clear_buffer>, blit_decompress_depth = 0x7fb69cd06870 <si_blit_decompress_depth>, decompress_dcc = 0x7fb69cd07a70 <si_decompress_dcc>,
    invalidate_buffer = 0x7fb69cd10ae0 <si_invalidate_buffer>, rebind_buffer = 0x7fb69cd0fd80 <si_rebind_buffer>, set_occlusion_query_state = 0x7fb69cd30ac0 <si_set_occlusion_query_state>, save_qbo_state = 0x7fb69cd32368 <si_save_qbo_state>, need_gfx_cs_space = 0x7fb69cd32360 <si_need_gfx_cs_space>, set_atom_dirty = 0x7fb69cd15d30 <si_set_atom_dirty>,
    check_vm_faults = 0x7fb69cd0d9a0 <si_check_vm_faults>}, blitter = 0x175bcd0, custom_dsa_flush = 0x1794ae0, custom_blend_resolve = 0x1794e00, custom_blend_fmask_decompress = 0x1795130, custom_blend_eliminate_fastclear = 0x1795460, custom_blend_dcc_decompress = 0x1795790, screen = 0x11ef4a0, tm = 0x1765610, fixed_func_tcs_shader = {cso = 0x0, current = 0x0},
  wait_mem_scratch = 0x0, wait_mem_number = 0, ce_ib = 0x0, ce_preamble_ib = 0x0, ce_ram_saved_buffer = 0x0, ce_suballocator = 0x0, ce_ram_saved_offset = 0, total_ce_ram_allocated = 0, ce_need_synchronization = false, gfx_flush_in_progress = false, compute_is_busy = false, atoms = {s = {prefetch_L2 = 0x1781680, render_cond = 0x1781210,
      streamout_begin = 0x1780e00, streamout_enable = 0x1780e58, framebuffer = 0x1781690, msaa_sample_locs = 0x1781710, db_render_state = 0x1781728, msaa_config = 0x1781738, sample_mask = 0x1781748, cb_render_state = 0x1781760, blend_color = 0x1781778, clip_regs = 0x1781798, clip_state = 0x17817a8, shader_userdata = 0x1781838, scissors = 0x1780e70,
      viewports = 0x1780f08, stencil_ref = 0x1781860, spi_map = 0x1781878, scratch_state = 0x1783390}, array = 0x1781530}, dirty_atoms = 8192, dirty_states = 0, queued = {named = {blend = 0x188ba00, rasterizer = 0x188a710, dsa = 0x183e2e0, poly_offset = 0x0, ls = 0x0, hs = 0x0, es = 0x0, gs = 0x0, vgt_shader_config = 0x1846940, vs = 0x18ca7b0, ps = 0x1893c20},
    array = 0x17815d0}, emitted = {named = {blend = 0x188ba00, rasterizer = 0x188a710, dsa = 0x183e2e0, poly_offset = 0x0, ls = 0x0, hs = 0x0, es = 0x0, gs = 0x0, vgt_shader_config = 0x1846940, vs = 0x18ca7b0, ps = 0x1893c20}, array = 0x1781628}, prefetch_L2 = {emit = 0x7fb69cd0bc50 <cik_emit_prefetch_L2>, num_dw = 0, id = 0}, framebuffer = {atom = {
      emit = 0x7fb69cd312e0 <si_emit_framebuffer_state>, num_dw = 0, id = 4}, state = {width = 396, height = 1080, layers = 0, samples = 0 '\000', nr_cbufs = 1 '\001', cbufs = {0x18c4d80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, zsbuf = 0x1800570}, colorbuf_enabled_4bit = 15, spi_shader_col_format = 4, spi_shader_col_format_alpha = 4,
    spi_shader_col_format_blend = 4, spi_shader_col_format_blend_alpha = 4, nr_samples = 1 '\001', log_samples = 0 '\000', compressed_cb_mask = 0 '\000', color_is_int8 = 0 '\000', color_is_int10 = 0 '\000', dirty_cbufs = 0 '\000', dirty_zsbuf = false, any_dst_linear = false}, msaa_sample_locs = {atom = {emit = 0x7fb69cd33150 <si_emit_msaa_sample_locs>,
      num_dw = 0, id = 5}, nr_samples = 1}, db_render_state = {emit = 0x7fb69cd30ad8 <si_emit_db_render_state>, num_dw = 0, id = 6}, msaa_config = {emit = 0x7fb69cd33090 <si_emit_msaa_config>, num_dw = 0, id = 7}, sample_mask = {atom = {emit = 0x7fb69cd31ef8 <si_emit_sample_mask>, num_dw = 0, id = 8}, sample_mask = 65535}, cb_render_state = {
    emit = 0x7fb69cd301a0 <si_emit_cb_render_state>, num_dw = 0, id = 9}, last_cb_target_mask = 0, blend_color = {atom = {emit = 0x7fb69cd323b0 <si_emit_blend_color>, num_dw = 0, id = 10}, state = {color = {0.192156866, 0.211764708, 0.23137255, 1}}}, clip_regs = {emit = 0x7fb69cd307f8 <si_emit_clip_regs>, num_dw = 0, id = 11}, clip_state = {atom = {
      emit = 0x7fb69cd323f8 <si_emit_clip_state>, num_dw = 0, id = 12}, state = {ucp = {{0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}, {0, 0, 0, 0}}}}, shader_userdata = {atom = {emit = 0x7fb69cd0e790 <si_emit_graphics_shader_userdata>, num_dw = 0, id = 13}, sh_base = {45360, 45104, 45616, 46128, 0, 0}},
  stencil_ref = {atom = {emit = 0x7fb69cd309d8 <si_emit_stencil_ref>, num_dw = 0, id = 16}, state = {ref_value = "\000"}, dsa_part = {valuemask = "\000", writemask = "\000"}}, spi_map = {emit = 0x7fb69cd3df00 <si_emit_spi_map>, num_dw = 0, id = 17}, init_config = 0x1795ac0, init_config_gs_rings = 0x0, init_config_has_vgt_flush = false, vgt_shader_config = {
    0x1846940, 0x0, 0x0, 0x0}, ps_shader = {cso = 0x18884b0, current = 0x18caad0}, gs_shader = {cso = 0x0, current = 0x0}, vs_shader = {cso = 0x18876f0, current = 0x184d260}, tcs_shader = {cso = 0x0, current = 0x0}, tes_shader = {cso = 0x0, current = 0x0}, cs_shader_state = {program = 0x0, emitted_program = 0x0, offset = 0, initialized = false,
    uses_scratch = false}, vertex_elements = 0x188c1a0, sprite_coord_enable = 0, flatshade = false, do_update_shaders = false, vertex_buffers = {list = 0x17949d0, gpu_list = 0x0, dirty_mask = 65535, buffer = 0x1842670, buffer_offset = 61120, element_dw_size = 4 '\004', num_elements = 16 '\020', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000',
    first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 24 '\030'}, descriptors = {{list = 0x1794900, gpu_list = 0x7fb67d15cd80, dirty_mask = 0, buffer = 0x1842670, buffer_offset = 60800, element_dw_size = 4 '\004', num_elements = 12 '\f', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000',
      first_active_slot = 0 '\000', num_active_slots = 12 '\f', uses_ce = false, shader_userdata_offset = 0 '\000'}, {list = 0x1780630, gpu_list = 0x7fb67d15ce00, dirty_mask = 0, buffer = 0x1842670, buffer_offset = 60928, element_dw_size = 4 '\004', num_elements = 32 ' ', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000',
      first_active_slot = 16 '\020', num_active_slots = 1 '\001', uses_ce = false, shader_userdata_offset = 8 '\b'}, {list = 0x1790450, gpu_list = 0x0, dirty_mask = 1099511627775, buffer = 0x0, buffer_offset = 0, element_dw_size = 16 '\020', num_elements = 40 '(', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000',
      num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 16 '\020'}, {list = 0x1333630, gpu_list = 0x7fb67d15cd50, dirty_mask = 0, buffer = 0x1842670, buffer_offset = 60752, element_dw_size = 4 '\004', num_elements = 32 ' ', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 16 '\020',
      num_active_slots = 1 '\001', uses_ce = false, shader_userdata_offset = 8 '\b'}, {list = 0x1790e60, gpu_list = 0x7fb67d15cd40, dirty_mask = 0, buffer = 0x1842670, buffer_offset = 60736, element_dw_size = 16 '\020', num_elements = 40 '(', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 8 '\b',
      num_active_slots = 1 '\001', uses_ce = false, shader_userdata_offset = 16 '\020'}, {list = 0x1333950, gpu_list = 0x0, dirty_mask = 4294967295, buffer = 0x0, buffer_offset = 0, element_dw_size = 4 '\004', num_elements = 32 ' ', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000',
      uses_ce = false, shader_userdata_offset = 8 '\b'}, {list = 0x1791870, gpu_list = 0x0, dirty_mask = 1099511627775, buffer = 0x0, buffer_offset = 0, element_dw_size = 16 '\020', num_elements = 40 '(', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false,
      shader_userdata_offset = 16 '\020'}, {list = 0x1792280, gpu_list = 0x0, dirty_mask = 4294967295, buffer = 0x0, buffer_offset = 0, element_dw_size = 4 '\004', num_elements = 32 ' ', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 8 '\b'},
    {list = 0x1792490, gpu_list = 0x0, dirty_mask = 1099511627775, buffer = 0x0, buffer_offset = 0, element_dw_size = 16 '\020', num_elements = 40 '(', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 16 '\020'}, {list = 0x1792fb0,
      gpu_list = 0x0, dirty_mask = 4294967295, buffer = 0x0, buffer_offset = 0, element_dw_size = 4 '\004', num_elements = 32 ' ', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 8 '\b'}, {list = 0x17931c0, gpu_list = 0x0,
      dirty_mask = 1099511627775, buffer = 0x0, buffer_offset = 0, element_dw_size = 16 '\020', num_elements = 40 '(', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 16 '\020'}, {list = 0x1793ce0, gpu_list = 0x0, dirty_mask = 4294967295,
      buffer = 0x0, buffer_offset = 0, element_dw_size = 4 '\004', num_elements = 32 ' ', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 8 '\b'}, {list = 0x1793ef0, gpu_list = 0x0, dirty_mask = 1099511627775, buffer = 0x0, buffer_offset = 0,
---Type <return> to continue, or q <return> to quit---
      element_dw_size = 16 '\020', num_elements = 40 '(', ce_offset = 0, first_ce_slot = 0 '\000', num_ce_slots = 0 '\000', first_active_slot = 0 '\000', num_active_slots = 0 '\000', uses_ce = false, shader_userdata_offset = 16 '\020'}}, descriptors_dirty = 6144, shader_pointers_dirty = 6162, shader_needs_decompress_mask = 0, rw_buffers = {buffers = 0x177ef90,
    shader_usage = RADEON_USAGE_READWRITE, shader_usage_constbuf = RADEON_USAGE_READ, priority = RADEON_PRIO_SHADER_RINGS, priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 3968}, const_and_shader_buffers = {{buffers = 0x1780520, shader_usage = RADEON_USAGE_READWRITE, shader_usage_constbuf = RADEON_USAGE_READ,
      priority = RADEON_PRIO_SHADER_RW_BUFFER, priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 4294901760}, {buffers = 0x1780840, shader_usage = RADEON_USAGE_READWRITE, shader_usage_constbuf = RADEON_USAGE_READ, priority = RADEON_PRIO_SHADER_RW_BUFFER, priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 4294901760}, {buffers = 0x1333840,
      shader_usage = RADEON_USAGE_READWRITE, shader_usage_constbuf = RADEON_USAGE_READ, priority = RADEON_PRIO_SHADER_RW_BUFFER, priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 4294901760}, {buffers = 0x1333b60, shader_usage = RADEON_USAGE_READWRITE, shader_usage_constbuf = RADEON_USAGE_READ, priority = RADEON_PRIO_SHADER_RW_BUFFER,
      priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 4294901760}, {buffers = 0x1792ea0, shader_usage = RADEON_USAGE_READWRITE, shader_usage_constbuf = RADEON_USAGE_READ, priority = RADEON_PRIO_SHADER_RW_BUFFER, priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 4294901760}, {buffers = 0x1793bd0, shader_usage = RADEON_USAGE_READWRITE,
      shader_usage_constbuf = RADEON_USAGE_READ, priority = RADEON_PRIO_SHADER_RW_BUFFER, priority_constbuf = RADEON_PRIO_CONST_BUFFER, enabled_mask = 4294901760}}, samplers = {{views = {views = {0x0 <repeats 32 times>}, sampler_states = {0x0 <repeats 32 times>}, enabled_mask = 0}, needs_depth_decompress_mask = 0, needs_color_decompress_mask = 0}, {views = {
        views = {0x1894d00, 0x0 <repeats 31 times>}, sampler_states = {0x1844110, 0x0 <repeats 31 times>}, enabled_mask = 1}, needs_depth_decompress_mask = 0, needs_color_decompress_mask = 0}, {views = {views = {0x0 <repeats 32 times>}, sampler_states = {0x0 <repeats 32 times>}, enabled_mask = 0}, needs_depth_decompress_mask = 0,
      needs_color_decompress_mask = 0}, {views = {views = {0x0 <repeats 32 times>}, sampler_states = {0x0 <repeats 32 times>}, enabled_mask = 0}, needs_depth_decompress_mask = 0, needs_color_decompress_mask = 0}, {views = {views = {0x0 <repeats 32 times>}, sampler_states = {0x0 <repeats 32 times>}, enabled_mask = 0}, needs_depth_decompress_mask = 0,
      needs_color_decompress_mask = 0}, {views = {views = {0x0 <repeats 32 times>}, sampler_states = {0x0 <repeats 32 times>}, enabled_mask = 0}, needs_depth_decompress_mask = 0, needs_color_decompress_mask = 0}}, images = {{views = {{resource = 0x0, format = PIPE_FORMAT_NONE, access = 0, u = {tex = {first_layer = 0, last_layer = 0, level = 0}, buf = {
              offset = 0, size = 0}}} <repeats 16 times>}, needs_color_decompress_mask = 0, enabled_mask = 0}, {views = {{resource = 0x0, format = PIPE_FORMAT_NONE, access = 0, u = {tex = {first_layer = 0, last_layer = 0, level = 0}, buf = {offset = 0, size = 0}}} <repeats 16 times>}, needs_color_decompress_mask = 0, enabled_mask = 0}, {views = {{
          resource = 0x0, format = PIPE_FORMAT_NONE, access = 0, u = {tex = {first_layer = 0, last_layer = 0, level = 0}, buf = {offset = 0, size = 0}}} <repeats 16 times>}, needs_color_decompress_mask = 0, enabled_mask = 0}, {views = {{resource = 0x0, format = PIPE_FORMAT_NONE, access = 0, u = {tex = {first_layer = 0, last_layer = 0, level = 0}, buf = {
              offset = 0, size = 0}}} <repeats 16 times>}, needs_color_decompress_mask = 0, enabled_mask = 0}, {views = {{resource = 0x0, format = PIPE_FORMAT_NONE, access = 0, u = {tex = {first_layer = 0, last_layer = 0, level = 0}, buf = {offset = 0, size = 0}}} <repeats 16 times>}, needs_color_decompress_mask = 0, enabled_mask = 0}, {views = {{
          resource = 0x0, format = PIPE_FORMAT_NONE, access = 0, u = {tex = {first_layer = 0, last_layer = 0, level = 0}, buf = {offset = 0, size = 0}}} <repeats 16 times>}, needs_color_decompress_mask = 0, enabled_mask = 0}}, null_const_buf = {buffer = 0x1765510, buffer_offset = 0, buffer_size = 16, user_buffer = 0x0}, esgs_ring = 0x0, gsvs_ring = 0x0,
  tf_ring = 0x0, tess_offchip_ring = 0x0, border_color_table = 0x174a6b0, border_color_buffer = 0x177ee90, border_color_map = 0x7fb68401a000, border_color_count = 0, vertex_buffers_dirty = true, vertex_buffer_pointer_dirty = false, vertex_buffer = {{stride = 16, is_user_buffer = false, buffer_offset = 0, buffer = {resource = 0x18773f0, user = 0x18773f0}}, {
      stride = 16, is_user_buffer = false, buffer_offset = 8, buffer = {resource = 0x18773f0, user = 0x18773f0}}, {stride = 4, is_user_buffer = false, buffer_offset = 64, buffer = {resource = 0x18773f0, user = 0x18773f0}}, {stride = 0, is_user_buffer = false, buffer_offset = 0, buffer = {resource = 0x0, user = 0x0}} <repeats 13 times>}, ps_iter_samples = 1,
  smoothing_enabled = false, ps_db_shader_control = 16, dbcb_copy_sample = 0, dbcb_depth_copy_enabled = false, dbcb_stencil_copy_enabled = false, db_flush_depth_inplace = false, db_flush_stencil_inplace = false, db_depth_clear = false, db_depth_disable_expclear = false, db_stencil_clear = false, db_stencil_disable_expclear = false,
  occlusion_queries_disabled = false, generate_mipmap_for_depth = false, gs_tri_strip_adj_fix = false, last_index_size = 2, last_base_vertex = 0, last_start_instance = 0, last_drawid = 0, last_sh_base_reg = 45360, last_primitive_restart_en = 0, last_restart_index = -2147483648, last_gs_out_prim = 2, last_prim = 6, last_multi_vgt_param = 1048703,
  last_rast_prim = -1, last_sc_line_stipple = 4294967295, current_vs_state = 3, last_vs_state = 3, current_rast_prim = PIPE_PRIM_TRIANGLE_STRIP, scratch_state = {emit = 0x7fb69cd3b790 <si_emit_scratch_state>, num_dw = 0, id = 18}, scratch_buffer = 0x0, scratch_waves = 256, spi_tmpring_size = 256, compute_scratch_buffer = 0x0, last_ls = 0x0, last_tcs = 0x0,
  last_num_tcs_input_cp = -1, last_tes_sh_base = -1, last_tess_uses_primid = false, last_num_patches = 0, is_debug = false, last_gfx = {ib = 0x0, num_dw = 0, bo_list = 0x0, bo_count = 0}, last_trace_buf = 0x0, trace_buf = 0x0, trace_id = 0, dmesg_timestamp = 0, apitrace_call_number = 0, need_check_render_feedback = false, decompression_enabled = false,
  ia_multi_vgt_param_key = {u = {prim = 0, uses_instancing = 0, multi_instances_smaller_than_primgroup = 0, primitive_restart = 0, count_from_stream_output = 0, line_stipple_enabled = 0, uses_tess = 0, tess_uses_prim_id = 0, uses_gs = 0, _pad = 0}, index = 0}, ia_multi_vgt_param = {1048576 <repeats 256 times>, 1179648 <repeats 256 times>,
    1048576 <repeats 256 times>, 1179648 <repeats 256 times>, 1048576 <repeats 256 times>, 1179648 <repeats 256 times>, 1835008 <repeats 256 times>, 1966080 <repeats 256 times>, 1048576 <repeats 256 times>, 1179648 <repeats 256 times>, 1048576 <repeats 256 times>, 1179648 <repeats 256 times>, 1048576 <repeats 256 times>, 1179648 <repeats 256 times>,
    1835008 <repeats 256 times>, 1966080 <repeats 256 times>}, bindless_descriptor_slabs = {mutex = {__data = {__lock = 0, __count = 0, __owner = 0, __nusers = 0, __kind = 0, __spins = 0, __elision = 0, __list = {__prev = 0x0, __next = 0x0}}, __size = '\000' <repeats 39 times>, __align = 0}, min_order = 6, num_orders = 1, num_heaps = 1, groups = 0x177c500,
    reclaim = {prev = 0x1787470, next = 0x1787470}, priv = 0x17809c0, can_reclaim = 0x7fb69cd13f30 <si_bindless_descriptor_can_reclaim_slab>, slab_alloc = 0x7fb69cd13f38 <si_bindless_descriptor_slab_alloc>, slab_free = 0x7fb69cd14200 <si_bindless_descriptor_slab_free>}, bindless_descriptors = {mem_ctx = 0x0, data = 0x0, size = 0, capacity = 0},
  bindless_descriptors_dirty = false, tex_handles = 0x1780980, img_handles = 0x17662a0, resident_tex_handles = {mem_ctx = 0x0, data = 0x0, size = 0, capacity = 0}, resident_img_handles = {mem_ctx = 0x0, data = 0x0, size = 0, capacity = 0}, resident_tex_needs_color_decompress = {mem_ctx = 0x0, data = 0x0, size = 0, capacity = 0},
  resident_img_needs_color_decompress = {mem_ctx = 0x0, data = 0x0, size = 0, capacity = 0}, resident_tex_needs_depth_decompress = {mem_ctx = 0x0, data = 0x0, size = 0, capacity = 0}, uses_bindless_samplers = false, uses_bindless_images = false}
Comment 9 Sol 2017-12-12 19:54:06 UTC
Created attachment 136121 [details]
modinfo radeon for my version

Output for modinfo modinfo
Comment 10 Sol 2017-12-12 19:55:19 UTC
Created attachment 136122 [details]
crashlog for kwin
Comment 11 Sol 2017-12-12 19:56:46 UTC
Added another crashlog
Comment 12 Emil Velikov 2018-01-24 13:50:58 UTC
FYI Mesa 17.2.x is EOL, so it might be better to check if 17.3.3 and master still have the issue.
Comment 13 Roman Gilg 2018-02-26 21:36:46 UTC
GDB output near to current master (at 8d1f1ce412, later does not compile on my system at the moment):



Thread 17 "gallium_drv:0" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f67d592f700 (LWP 7986)]
si_emit_draw_packets (sctx=sctx@entry=0x2c94390, info=info@entry=0x2ce22e8, indexbuf=<optimized out>, index_size=index_size@entry=2, index_offset=<optimized out>) at /home/roman/dev/mesa/src/mesa/src/gallium/drivers/radeonsi/si_state_draw.c:718
718                     index_max_size = (indexbuf->width0 - index_offset) /



(gdb) bt
#0  si_emit_draw_packets (sctx=sctx@entry=0x2c94390, info=info@entry=0x2ce22e8, indexbuf=<optimized out>, index_size=index_size@entry=2, index_offset=<optimized out>) at /home/roman/dev/mesa/src/mesa/src/gallium/drivers/radeonsi/si_state_draw.c:718
#1  0x00007f67d4a2467d in si_draw_vbo (ctx=0x2c94390, info=0x2ce22e8) at /home/roman/dev/mesa/src/mesa/src/gallium/drivers/radeonsi/si_state_draw.c:1481
#2  0x00007f67d492f871 in tc_call_draw_vbo (pipe=<optimized out>, payload=0x2ce22e8) at /home/roman/dev/mesa/src/mesa/src/gallium/auxiliary/util/u_threaded_context.c:2012
#3  0x00007f67d492bff7 in tc_batch_execute (job=job@entry=0x2ce18f0, thread_index=thread_index@entry=0) at /home/roman/dev/mesa/src/mesa/src/gallium/auxiliary/util/u_threaded_context.c:96
#4  0x00007f67d47b529f in util_queue_thread_func (input=input@entry=0x2ad6d30) at /home/roman/dev/mesa/src/mesa/src/util/u_queue.c:271
#5  0x00007f67d47b4e27 in impl_thrd_routine (p=<optimized out>) at /home/roman/dev/mesa/src/mesa/include/c11/threads_posix.h:87
#6  0x00007f68839146ba in start_thread (arg=0x7f67d592f700) at pthread_create.c:333
#7  0x00007f688ad0c41d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109



(gdb) bt full
#0  si_emit_draw_packets (sctx=sctx@entry=0x2c94390, info=info@entry=0x2ce22e8, indexbuf=<optimized out>, index_size=index_size@entry=2, index_offset=<optimized out>) at /home/roman/dev/mesa/src/mesa/src/gallium/drivers/radeonsi/si_state_draw.c:718
        indirect = 0x0
        cs = 0x2ca3a90
        sh_base_reg = 45360
        render_cond_bit = false
        index_max_size = 0
        index_va = 0
        __PRETTY_FUNCTION__ = "si_emit_draw_packets"
#1  0x00007f67d4a2467d in si_draw_vbo (ctx=0x2c94390, info=0x2ce22e8) at /home/roman/dev/mesa/src/mesa/src/gallium/drivers/radeonsi/si_state_draw.c:1481
        sctx = 0x2c94390
        rs = <optimized out>
        indexbuf = 0x0
        dirty_tex_counter = <optimized out>
        rast_prim = <optimized out>
        index_size = 2
        index_offset = 0
        __PRETTY_FUNCTION__ = "si_draw_vbo"
#2  0x00007f67d492f871 in tc_call_draw_vbo (pipe=<optimized out>, payload=0x2ce22e8) at /home/roman/dev/mesa/src/mesa/src/gallium/auxiliary/util/u_threaded_context.c:2012
        info = 0x2ce22e8
#3  0x00007f67d492bff7 in tc_batch_execute (job=job@entry=0x2ce18f0, thread_index=thread_index@entry=0) at /home/roman/dev/mesa/src/mesa/src/gallium/auxiliary/util/u_threaded_context.c:96
        iter = 0x2ce22e0
        batch = 0x2ce18f0
        pipe = 0x2c94390
        last = 0x2ce24e0
#4  0x00007f67d47b529f in util_queue_thread_func (input=input@entry=0x2ad6d30) at /home/roman/dev/mesa/src/mesa/src/util/u_queue.c:271
        job = {job = 0x2ce18f0, fence = 0x2ce1908, execute = 0x7f67d492bfb0 <tc_batch_execute>, cleanup = 0x0}
        queue = 0x2cde788
        thread_index = <optimized out>
        __PRETTY_FUNCTION__ = "util_queue_thread_func"
#5  0x00007f67d47b4e27 in impl_thrd_routine (p=<optimized out>) at /home/roman/dev/mesa/src/mesa/include/c11/threads_posix.h:87
        pack = {func = 0x7f67d47b5060 <util_queue_thread_func>, arg = 0x2ad6d30}
#6  0x00007f68839146ba in start_thread (arg=0x7f67d592f700) at pthread_create.c:333
        __res = <optimized out>
        pd = 0x7f67d592f700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140083941537536, 7002528104003647912, 0, 140728410686399, 8388608, 39522672, -6925884145858791000, -6918376651715135064}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <optimized out>
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x00007f688ad0c41d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
No locals.
Comment 14 Roman Gilg 2018-03-05 21:45:35 UTC
I have a RFC with a potential fix on the mailing list:
https://lists.freedesktop.org/archives/mesa-dev/2018-March/187675.html
Comment 15 Marek Olšák 2018-03-06 23:25:51 UTC
Can you get a backtrace with GALLIUM_THREAD=0 ? I'd like to know where indexbuf == NULL is coming from.
Comment 16 Roman Gilg 2018-03-08 09:57:10 UTC
I can't reproduce the issue currently. What is weird, since it didn't work for months.

Maybe it's working now again because I deleted the $HOME/.cache content?

Could someone with the same problem do the same to see if it works afterwards as well for him again?
Comment 17 Clemens Eisserer 2018-03-19 16:57:52 UTC
*** Bug 105611 has been marked as a duplicate of this bug. ***
Comment 18 Marek Olšák 2018-03-28 22:02:01 UTC
Possible fix:
https://patchwork.freedesktop.org/patch/211876/
Comment 19 bernhardu 2018-04-20 18:08:07 UTC
*** Bug 106153 has been marked as a duplicate of this bug. ***
Comment 20 bernhardu 2018-04-20 18:16:18 UTC
Got already commited in master branch:
https://cgit.freedesktop.org/mesa/mesa/commit/src/mesa/state_tracker/st_draw.c?id=f75421751782222e724510c7918edfe09ba33c7a

But not yet in 17.3 or 18.0 branch.
Comment 21 Michel Dänzer 2018-05-01 07:24:29 UTC
*** Bug 106327 has been marked as a duplicate of this bug. ***
Comment 22 Viktor Kecskes 2018-05-02 07:41:51 UTC
(In reply to Marek Olšák from comment #18)
> Possible fix:
> https://patchwork.freedesktop.org/patch/211876/

My bug has been disappeared.  I use Fedora  and there ara 2 different X11 drivers.
The xorg-x11-drv-ati and xorg-x11-drv-amdgpu. I deleted the amdgpu x11 driver, and install the ati x11 driver. According to lsmod my system still use the amdgpu module.
Comment 23 Marek Olšák 2018-05-02 19:43:03 UTC
The xorg ati driver is for the radeon kernel module.
The xorg amdgpu driver is for the amdgpu kernel module.

If the xorg driver is missing for the respective kernel module, the X server will use the generic xorg modesetting driver instead. The behavior might be the same because the modesetting driver has similar capabilities as the hw-specific drivers.
Comment 24 Viktor Kecskes 2018-05-03 04:46:19 UTC
(In reply to Marek Olšák from comment #23)
> The xorg ati driver is for the radeon kernel module.
> The xorg amdgpu driver is for the amdgpu kernel module.
> 
> If the xorg driver is missing for the respective kernel module, the X server
> will use the generic xorg modesetting driver instead. The behavior might be
> the same because the modesetting driver has similar capabilities as the
> hw-specific drivers.

My mistake...I  took an other look on the system, and the KDE scale method was set to smooth (The default is accurate). This is reproducable 
System > compositor > scale method > accurate = crash
System > compositor > scale method > smooth or crisp = Can Alt + Tab without crash.
So you are right, the different X11 driver doesn't solve the problem.
Comment 25 Dylan Baker 2018-08-15 20:23:02 UTC
Since a patch that fixes this landed and 17.x is out of support I'm marking this fixed.
Comment 26 bholeshankar1992crax@gmail.com (Spammer; Account disabled) 2019-05-15 06:35:55 UTC Comment hidden (spam)
Comment 27 abbyford269@yahoo.com (Spammer; Account disabled) 2019-09-02 03:12:39 UTC Comment hidden (spam)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.